summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-01-22 15:12:15 +0100
committerManuel Rüger <mrueg@gentoo.org>2019-01-22 15:12:15 +0100
commit63cabc20a7590680385f85bf2862ebcef69fd377 (patch)
treeb5a83ff1ffd8ac8173dea6a2035c89a038315669 /app-metrics
parentprofiles: Mask app-arch/libarchive[zstd] on amd64-fbsd (diff)
downloadgentoo-63cabc20a7590680385f85bf2862ebcef69fd377.tar.gz
gentoo-63cabc20a7590680385f85bf2862ebcef69fd377.tar.bz2
gentoo-63cabc20a7590680385f85bf2862ebcef69fd377.zip
app-metrics/alertmanager: Version bump to 0.16.0
Package-Manager: Portage-2.3.57, Repoman-2.3.12 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
Diffstat (limited to 'app-metrics')
-rw-r--r--app-metrics/alertmanager/Manifest1
-rw-r--r--app-metrics/alertmanager/alertmanager-0.16.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/app-metrics/alertmanager/Manifest b/app-metrics/alertmanager/Manifest
index aa4000237f9..b9b477797b1 100644
--- a/app-metrics/alertmanager/Manifest
+++ b/app-metrics/alertmanager/Manifest
@@ -3,3 +3,4 @@ DIST alertmanager-0.15.0.tar.gz 2755787 BLAKE2B 3c13f31c87605d7ff1e90ed8734c5415
DIST alertmanager-0.15.1.tar.gz 2756389 BLAKE2B 8da152f3edc856ea12025e08b108b47501d95a278e621198712831cc3b105085f4b6b0073c184314b2cc4b291c6d27d6fecf35d5c423476a92ed35f63fe66ede SHA512 b71c59fb1fb745e0d1aac39617cd208b778d215db9d4c72703f5d88a6f293451b63f941dab1c86a8a2257657aa1d9a243044711724e3bfcc66e64db36f473c6b
DIST alertmanager-0.15.2.tar.gz 2758175 BLAKE2B c2b612c2ad5723085c1d5515ce20505405e46d902a90a0aa1a32e51c35b5fd3b7e7e413e681907c4b0e9cdefc7b48d76354e55101add309a44e25f5e4f197f74 SHA512 05b1a5ad06f30b2f104196e96046faa8a0672db3d043e1c4308dbc542cbfee257b41e16d40f937495d45ca481e359b07a32e2c8ef4dfd9386154b4c68a2696b3
DIST alertmanager-0.15.3.tar.gz 2758678 BLAKE2B 68c319e00e800fc35ce5a319b0c6bc3717bc7d5479e3204420949cc937a1470006d1e582f79b1562a810dc67c5827a6e0c8985618101a05c62c4231541d299a5 SHA512 95822f786b488fe747dbd780267f91830dbf0629878942a0ad131dcd3c8b18c34e672cb1e59151fb2ac9bcbf25095d0b134dabe4ff87d6a3625b4f443784f716
+DIST alertmanager-0.16.0.tar.gz 3608969 BLAKE2B a0cc7af4da45cb240e85cb39bd1eb87a8b8705f2ee2e87227cccd7e9ccc78278a89a089dd4a19a5a3d9f9667a0934b4e681e2fbbb378fb22510a742ee76fbaa3 SHA512 a3a2288d2a2205e0d94915603e4758447f194ebe06e69b5518fb7ebdb7d6ec4bab5db623e4dec57938a7936a9ac96be7cebd57304c7983deac11c61edd39b2b3
diff --git a/app-metrics/alertmanager/alertmanager-0.16.0.ebuild b/app-metrics/alertmanager/alertmanager-0.16.0.ebuild
new file mode 100644
index 00000000000..eb60b3ea525
--- /dev/null
+++ b/app-metrics/alertmanager/alertmanager-0.16.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/alertmanager"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+ALERTMANAGER_COMMIT="73bdd96"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Alertmanager for alerts sent by client applications such as Prometheus"
+HOMEPAGE="https://github.com/prometheus/alertmanager"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11
+ dev-util/promu"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${ALERTMANAGER_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ mkdir -p bin || die
+ GO111MODULE=on GOPATH="${S}" GOCACHE="${T}/go-cache" promu build -v --prefix bin || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin bin/*
+ dodoc {README,CHANGELOG,CONTRIBUTING}.md
+ insinto /etc/alertmanager/
+ newins doc/examples/simple.yml config.yml.example
+ popd || die
+ keepdir /var/lib/alertmanager /var/log/alertmanager
+ fowners ${PN}:${PN} /var/lib/alertmanager /var/log/alertmanager
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}